﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURLIN' AND COLUMN_NAME = 'HKEY')
	AND NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.CONSTRAINT_TABLE_USAGE WHERE TABLE_NAME = 'PURLIN' AND CONSTRAINT_NAME = 'FK_PURLIN_PURHDR')
BEGIN 
PRINT 'Creating foreign key FK_PURLIN_PURHDR on table PURLIN'
ALTER TABLE [dbo].[PURLIN]  WITH CHECK ADD  CONSTRAINT [FK_PURLIN_PURHDR] FOREIGN KEY([HKEY])
REFERENCES [PURHDR] ([TKEY])
ON DELETE CASCADE
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURLIN]') AND name = N'XPURLIN1')
BEGIN 
PRINT 'Creating index XPURLIN1 on table PURLIN'
CREATE NONCLUSTERED INDEX [XPURLIN1] ON [dbo].[PURLIN] 
(
	[HKEY] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURLIN]') AND name = N'XPURLIN2')
BEGIN 
PRINT 'Creating index XPURLIN2 on table PURLIN'
CREATE NONCLUSTERED INDEX [XPURLIN2] ON [dbo].[PURLIN] 
(
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PURLIN]') AND name = N'XPURLIN3')
BEGIN 
PRINT 'Creating index XPURLIN3 on table PURLIN'
CREATE NONCLUSTERED INDEX [XPURLIN3] ON [dbo].[PURLIN] 
(
	[HKEY] ASC,
	[SKUN] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'PURLIN' AND COLUMN_NAME = 'DELE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_PURLIN_DELE')
BEGIN 
    PRINT 'Creating default constraint DF_PURLIN_DELE on table PURLIN' 
    ALTER TABLE [dbo].[PURLIN]
    ADD CONSTRAINT [DF_PURLIN_DELE] DEFAULT ((0)) FOR [DELE]
END 
GO

